Bulletin d'alerte Debian

DSA-1676-1 flamethrower -- Fichiers temporaires peu sûrs

Date du rapport :
1er décembre 2008
Paquets concernés :
flamethrower
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 506350.
Dans le dictionnaire CVE du Mitre : CVE-2008-5141.
Plus de précisions :

Dmitry E. Oboukhov a découvert que flamethrower crée des fichiers temporaires aux noms prévisibles. Cela peut conduire à un déni de service via une attaque de lien symbolique.

Pour la distribution stable (Etch), ce problème a été corrigé dans la version 0.1.8-1+etch1.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 0.1.8-2.

Nous vous recommandons de mettre à jour votre paquet flamethrower.

Corrigé dans :

Debian GNU/Linux 4.0 (etch)

Source :
http://security.debian.org/pool/updates/main/f/flamethrower/flamethrower_0.1.8-1+etch1.diff.gz
http://security.debian.org/pool/updates/main/f/flamethrower/flamethrower_0.1.8.orig.tar.gz
http://security.debian.org/pool/updates/main/f/flamethrower/flamethrower_0.1.8-1+etch1.dsc
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/f/flamethrower/flamethrower_0.1.8-1+etch1_all.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.